Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Parser::Iterator::Array

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Parser::Iterator::Array

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods
  - Instance Methods
- ATTRIBUTION
- SEE ALSO

# NAME

TAP::Parser::Iterator::Array - Iterator for array-based TAP sources

# VERSION

Version 3.23

# SYNOPSIS

      use TAP::Parser::Iterator::Array;  my @data = ('foo', 'bar', baz');    my $it   = TAP::Parser::Iterator::Array->new(\@data);    my $line = $it->next;

# DESCRIPTION

This is a simple iterator wrapper for arrays of scalar content, used by TAP::Parser. Unless you're writing a plugin or subclassing, you probably won't need to use this module directly.

# METHODS

## Class Methods

### `new`

Create an iterator. Takes one argument: an `$array_ref`

## Instance Methods

### `next`

Iterate through it, of course.

### `next_raw`

Iterate raw input without applying any fixes for quirky input syntax.

### `wait`

Get the wait status for this iterator. For an array iterator this will always be zero.

### `exit`

Get the exit status for this iterator. For an array iterator this will always be zero.

# ATTRIBUTION

Originally ripped off from Test::Harness.

# SEE ALSO

TAP::Object, TAP::Parser, TAP::Parser::Iterator,

Page index

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods
  - Instance Methods
- ATTRIBUTION
- SEE ALSO